// Matrix.h

#ifndef _MATRIX_H_
#define _MATRIX_H_

void Matrix_InverseRotateVect(float * mat, float *pVect );
void Matrix_InverseTranslateVect(float * mat, float *pVect );
void Matrix_LoadIdentity(float * mat);
void Matrix_PostMultiply(float * mat, const float * matrix );
void Matrix_RotateVect(float * mat, float *pVect );
void Matrix_Set(float * mat, const float * pMatrix );
void Matrix_SetInverseRotationDegrees(float * mat, const float *angles );
void Matrix_SetInverseTranslation(float * mat, const float *translation );
void Matrix_SetRotationDegrees(float * mat, const float *angles );
void Matrix_SetRotationRadians(float * mat, const float *angles );
void Matrix_SetTranslation(float * mat, const float *translation );
void Matrix_TranslateVect(float * mat, float *pVect );
void Matrix_setInverseRotationRadians(float * mat, float *angles );

#endif // _MATRIX_H_

