// Vector.h

#ifndef _VECTOR_H_
#define _VECTOR_H_

float Vector_Length(float * this);
float Vector_LengthSq(float * this);
void  Vector_Add(float * this, const float * vector );
void  Vector_Lerp(float * this, const float * vector, float s);
void  Vector_Max(float * this, const float * vector);
void  Vector_Min(float * this, const float * vector);
void  Vector_Normalize(float * this);
void  Vector_Reset(float * this);
void  Vector_Set(float * this, const float * values );
void  Vector_Sub(float * this, const float * vector );
void  Vector_Transform(float * this, const float * mat );
void  Vector_Transform3(float * this, const float * mat );
void  Vector_Vector(float * this, const float *values );

#endif // _VECTOR_H_

